<script setup lang="ts">
type Item = {
  title: string;
  url?: string;
  icon?: string;
  external?: boolean;
  children?: Item[];
};
const props = defineProps<Item>();
</script>

<template>
  <v-list-item
    v-if="!props.children || props.children.length === 0"
    :to="props.external ? undefined : props.url"
    :href="props.external ? props.url : undefined"
    :target="props.external ? '_blank' : undefined"
    :prepend-icon="props.icon"
    :title="props.title"
    :value="props.url"
    :append-icon="props.external ? 'mdi-open-in-new' : undefined"
    :active="props.external ? false : undefined"
  />
  <v-list-group v-else :value="props.url">
    <template #activator="{ props: listGroupProps }">
      <v-list-item
        v-bind="listGroupProps"
        :title="props.title"
        :prepend-icon="props.icon"
      />
    </template>
    <LeftNavigatorPageItem
      v-for="item in props.children"
      :key="item.title"
      v-bind="item"
    />
  </v-list-group>
</template>
